<?php include "pages/header.php"; ?>
<?php include "components/access_control/submenu.php"; ?>

<div id="content">
	<div id="spacer">


	<?php if ($group->getId() == "") { ?>
		<h2 id="edit_newgroup_header"><?= tt("accesscontrol_groups_newgroup_header") ?></h2>
		<p><?= tt("accesscontrol_groups_newgroup_description") ?></p>
	<?php } else { ?>
                <h2 id="edit_group_header"><?= tt("accesscontrol_groups_editgroup_header", htmlspecialchars($group->getName())) ?></h2>
		<p><?= tt("accesscontrol_groups_editgroup_description") ?></p>
	<?php } ?>
	
	
		<form action="post_edit_group.php" method="POST" id="groupform" onSubmit="return validateFormText(document.getElementById('groupform'));">
		
			<input type="hidden" name="id" value="<?= $group->getId() ?>" />
	
			<fieldset id="edit_group_general">
				<legend><?= tt("accesscontrol_groups_edit_header_general") ?></legend>
	
				<div class="field">
					<label for="name"><?= tt("accesscontrol_groups_edit_label_name") ?></label>
					<input type="text" id="name" name="name" value="<?= $group->getName() ?>" size="30" maxlength="255" alt="Name"/>
				</div>
												
				<div class="field">
					<label for="description"><?= tt("accesscontrol_groups_edit_label_description") ?></label>
					<textarea name="description" id="description"><?= $group->getDescription() ?></textarea>
				</div>
								
			</fieldset>

	<?php if ($group->getId() != "") { ?>
	
			<fieldset id="edit_group_content_access_datatypes">
				<legend><img src="/gfx/icons/cubes24.png" border="0" height="24" width="24" /><?= tt("accesscontrol_groups_edit_header_datatypesaccess") ?></legend>
				<label><?= tt("accesscontrol_groups_edit_datatypesaccess_clickforlowlevelaccess") ?></label>
				<div class="container">
				<?php foreach($datatypes as $datatype) { ?>
						<div class="item">
							<input type="checkbox" name="datatype[]" value="<?= $datatype->getId() ?>" <?php if ($group->isMemberOfDataType($datatype->getId())) { ?>checked="checked"<?php } ?> /><a href="javascript:getLowLevelInformation(<?= $datatype->getId() ?>, <?= $group->getId() ?>)"><?= $datatype->getValue() ?></a>
						</div>
				<?php } ?>
				</div>
			</fieldset>

			<div id="lowlevelaccess">
				<?php /* include file="components/access_control/low_level_access.php" */ ?>
			</div>

			<div class="clearer"></div>
						
			<fieldset >
			<legend><?= tt("accesscontrol_groups_edit_header_reportingaccess") ?></legend>
			<fieldset id="edit_group_content_access_products">
				<legend><img src="/gfx/icons/cubes24.png" border="0" height="24" width="24" /><?= tt("accesscontrol_groups_edit_reportingaccess_header_products") ?></legend>
                                <label><?= tt("accesscontrol_groups_edit_label_products") ?></label>
                                <span id="loadingproduct" style="display:none;"><img src="/gfx/loader-bar.gif" border="0"/></span>
                                <span id="loadingproductsave" style="display:none;"><img src="/gfx/loader-bar.gif" border="0"/> Saving Please Wait</span>


	<div id="productnavi" class="navi">
	    <span id="productContainernavi">
			<a id="productNaviFirst" href="javascript:">&laquo; First</a>
	        <a id="productNaviPrev" href="javascript:">&#8249; Prev</a> 
	        | <span id="productNaviPage">0/0</span> |
	        <a id="productNaviNext" href="javascript:">Next &#8250;</a>
	        <a id="productNaviLast" href="javascript:">Last &raquo;</a>
	        <span id="loadingproduct" style="display:none;"><img src="/gfx/loader-bar.gif" border="0"/></span>
		</span>
    </div>
                                
 	<div class="container" id="productContainer">
                <div class="item" id="productLastrow" list_pos="<?= $lastrow?>" style="display:none;"></div>
	</div>
				
	<?= tt("global_search") ?><input type="text" onkeyup="loadReportAccessListEntries('product',0,this.value)" style="margin: 0;">
	<br>
	
	<div class="ctrl">		
	<span id="productContainerctrl">
		<a href="javascript: select('product');"><?= tt("global_checkall") ?></a>
		<a href="javascript: deselect('product');"><?= tt("global_uncheckall") ?></a>
	</span>
	<span id="productContainerall">
		<a href="javascript: saveallitems('product', 'hide');">Hide All</a>
		<a href="javascript: saveallitems('product', 'unhide');">Unhide All</a>
	</span>
	</div>
			</fieldset>
			
			<div id="lowlevelfeatures">
			<fieldset id="lowlevelfeature_box">
				<legend><img src="/gfx/icons/cube_blue_preferences24.png" border="0" height="24" width="24" /><?= tt("accesscontrol_groups_edit_reportingaccess_header_features") ?></legend>
				<label><?= tt("accesscontrol_groups_edit_label_features") ?></label>
				<span id="loadingfeature" style="display:none;"><img src="/gfx/loader-bar.gif" border="0"/></span>
				<span id="loadingfeaturesave" style="display:none;"><img src="/gfx/loader-bar.gif" border="0"/> Saving Please Wait</span>
    <div id="featurenavi" class="navi">		
		<span id="featureContainernavi">
			<a id="featureNaviFirst" href="javascript:">&laquo; First</a>
		    <a id="featureNaviPrev" href="javascript:">&#8249; Prev</a>
		    | <span id="featureNaviPage">0/0</span> |
		    <a id="featureNaviNext" href="javascript:">Next &#8250;</a>
		    <a id="featureNaviLast" href="javascript:">Last &raquo;</a>
		                
		    <span id="loadingproduct" style="display:none;"><img src="/gfx/loader-bar.gif" border="0"/></span>
		</span>
	</div>
	<div class="container" id="featureContainer">
		<div class="item" id="featureLastrow" list_pos="<?= $lastrow?>" style="display:none;"></div>
	</div>
	<?= tt("global_search") ?><input type="text" onkeyup="loadReportAccessListEntries('feature',0,this.value)" style="margin: 0;">
	<br>
	
	
	<div class="ctrl">		
	<span id="featureContainerctrl">
		<a href="javascript: select('feature');"><?= tt("global_checkall") ?></a>
		<a href="javascript: deselect('feature');"><?= tt("global_uncheckall") ?></a>
	</span>
	<span id="featureContainerall">
		<a href="javascript: saveallitems('feature', 'hide');">Hide All</a>
		<a href="javascript: saveallitems('feature', 'unhide');">Unhide All</a>
	</span>
	</div>
			</fieldset>
			</div>
			</fieldset>
			
			<div class="clearer"></div>
			
			<fieldset id="edit_group_folder_access">
				<legend><img src="/gfx/icons/folder_lock24.png" border="0" height="24" width="24" /><?= tt("accesscontrol_groups_edit_header_foldersaccess") ?></legend>
				<div class="container">
				<?php foreach($folders as $folder) { ?>
					<div class="item">
						<input type="checkbox" id="access<?= $folder->getName() ?>" name="folders[]" value="<?= $folder->getName() ?>" <?php if ($group->isMemberOfFolder($folder->getName())) { ?>checked="checked"<?php } ?> />
						<label for="access<?= $folder->getName() ?>"><?= $folder->getName() ?></label>
					</div>
				<?php } ?>
				</div>
			</fieldset>

			
			
			
			<fieldset id="edit_group_subgroups">
				<legend><img src="/gfx/icons/users_preferences24.png" border="0" /><?= tt("accesscontrol_groups_edit_header_memberofothergroups") ?></legend>
				<div class="container">						
					<?php foreach($groups as $groupItem) { ?>
						<?php if ($groupItem->getId() != $group->getId()) { ?>
                                    <div class="item"><input type="checkbox" id="subgroup_<?= $groupItem->getId() ?>" name="group[]" value="<?= $groupItem->getId() ?>" <?php if ($group->isMemberOf($groupItem)) { ?>checked="checked"<?php } ?> /><label for="subgroup_<?= $groupItem->getId() ?>"><?= htmlspecialchars($groupItem->getName()) ?></label></div>
						<?php } ?>
					<?php } ?>					
				</div>

			</fieldset>
			
		<?php } ?>
			
			<div class="clearer"></div>
			
			<div id="users_save">
				<input type="submit" value=<?= tt("global_form_save") ?> />
				<input type="button" value=<?= tt("global_form_cancel") ?> onclick="location.href='groups.php'" />
			</div>
			
			
			
		</form>
   
		
		
		<script type="text/javascript">
		<!--
                
		function getLowLevelInformation(id, groupId) {
			sendData('access_control/get_low_level_access.php', 'returnLowLevelInformation', 'id', id, 'groupId', groupId);
		}
		function getLowLevelFeatures(prodName, groupId) {
			sendData('access_control/get_low_level_feature.php', 'returnLowLevelFeatures', 'prodName', prodName, 'groupId', groupId);
		}
		
		function returnLowLevelInformation(data) {
			gebi("lowlevelaccess").innerHTML = data;
		}
		function returnLowLevelFeatures(data) {
			gebi("lowlevelfeatures").innerHTML = data;
		}
		
		function getClassificationValueLimit(id, groupId) {
			sendData('access_control/get_classification_value_limit.php', 'returnClassificationValueLimit', 'id', id, 'groupId', groupId);
		}
		
		function returnClassificationValueLimit(data) {
			gebi("classificationlimit").innerHTML = data;
		}
		
		function setAnonymous(groupId, datatypeId, classificationId, checked) {
			sendData('access_control/post_low_level_access.php', '', "groupId", groupId, "datatypeId", datatypeId, "classificationId", classificationId, "checked", (checked ? 1 : 0));
		}

		function select(cvtype){
			var inputList = document.getElementById(cvtype+"Container").getElementsByTagName("input");
            var data = new Array();
            var hdata = new Array();
                        
            for(i=0; i<inputList.length; i++){
                inputList[i].checked = "checked";
                data.push(inputList[i].id);
            }
                j.ajax({
                    url: "/access_control/post_edit_group_report_access.php",
                    data: {id:"<?=$group->getId()?>",data:data,hdata:hdata,type:cvtype},
                    type: "POST",
                    async: true,
                    beforeSend: function(){
                        j("#loading"+cvtype+"save").attr("style", "display:inline;font-size:11px;color:red;");
	                },
	                success: function(){
	                   	j("#loading"+cvtype+"save").attr("style", "display:none");
	                }
                });
		}

		function deselect(cvtype){
			var inputList = document.getElementById(cvtype+"Container").getElementsByTagName("input");
			var data = new Array();
            var hdata = new Array();
                        
            for(i=0; i<inputList.length; i++){
                inputList[i].checked = false;
                hdata.push(inputList[i].id);
            }
	            j.ajax({
	            	url: "/access_control/post_edit_group_report_access.php",
	            	data: {id:"<?=$group->getId()?>",data:data,hdata:hdata,type:cvtype},
	            	type: "POST",
	            	async: true,
					beforeSend: function(){
	                    j("#loading"+cvtype+"save").attr("style", "display:inline;font-size:11px;color:red;");
		            },
		            success: function(){
		                j("#loading"+cvtype+"save").attr("style", "display:none");
		            }			            	
	            });
		}
                
                function saveItem(cbox, cvtype){
                    var data = new Array();
                    var hdata = new Array();
                    if(cbox.checked) data.push(cbox.id);
                    else hdata.push(cbox.id);
                    
                    request = j.ajax({
                        url: "/access_control/post_edit_group_report_access.php",
                        data: {id:"<?=$group->getId()?>", data: data, hdata: hdata, type: cvtype},
                        type: "POST",
                        async: true,
                        beforeSend: function(){
                            j("#loading"+cvtype+"save").attr("style", "display:inline;font-size:11px;color:red;");
                        },
                        success: function(){
                            j("#loading"+cvtype+"save").attr("style", "display:none");
                        }
                    });
                }

                function saveallitems(cvtype, hide){
                	j.ajax({
                		url: "/access_control/post_edit_group_report_access.php",
                		data: {id:"<?=$group->getId()?>",type:cvtype,hide:hide},
                		type: "POST",
                		async: true,
                		beforeSend: function(){
                            j("#loading"+cvtype+"save").attr("style", "display:inline;font-size:11px;color:red;");
                        },
                        success: function(){
                            loadReportAccessListEntries(cvtype,0,'');
                            j("#loading"+cvtype+"save").attr("style", "display:none");
                        }
                	});
                }
                
                function loadReportAccessListEntries(cvtype,lastrow,keyword){
                    request = j.ajax({
                        url: "/access_control/edit_group_"+cvtype+"_access.php",
                        data: {id:"<?=$group->getId()?>", mark: lastrow, keyword: keyword},
                        type: "POST",
                        async: true,
                        beforeSend: function(){
                            //alert(j("#loading"+cvtype).attr("id"));
                            j("#loading"+cvtype).attr("style", "display:inline");
                        },
                        success: function(data){
                            //alert("end");
                            j("#loading"+cvtype).attr("style", "display:none");
                            j("#"+cvtype+"Container").html(data);
                        }
                    });
                }
                
                function refreshNavi(cvtype,lastrow,count,keyword){
                    var step = 100;
                    if(count>step){
                        j("#"+cvtype+"NaviPrev").attr("href","javascript: ");
                        j("#"+cvtype+"NaviFirst").attr("href","javascript: ");
                        j("#"+cvtype+"NaviLast").attr("href","javascript: ");
                        j("#"+cvtype+"NaviNext").attr("href","javascript: ");
                        if(lastrow-step>=0){
                            j("#"+cvtype+"NaviPrev").attr("href","javascript: loadReportAccessListEntries('"+cvtype+"',"+(lastrow-step)+",'"+keyword+"')");
                            j("#"+cvtype+"NaviFirst").attr("href","javascript: loadReportAccessListEntries('"+cvtype+"',0,'"+keyword+"')");
                        }
                        if(Math.floor((lastrow+step)/step)<=Math.floor(count/step)){
                            j("#"+cvtype+"NaviLast").attr("href","javascript: loadReportAccessListEntries('"+cvtype+"',"+(Math.floor(count/step)*step)+",'"+keyword+"')");
                            j("#"+cvtype+"NaviNext").attr("href","javascript: loadReportAccessListEntries('"+cvtype+"',"+(lastrow+step)+",'"+keyword+"')");
                        }else{
                            j("#"+cvtype+"NaviLast").attr("href","javascript: ");
                            j("#"+cvtype+"NaviNext").attr("href","javascript: ");
                        }

                        if(Math.floor(count/step)>0) j("#"+cvtype+"NaviPage").html(Math.floor((lastrow+step)/step)+"/"+Math.ceil(count/step));
                        else j("#"+cvtype+"NaviPage").html("1/1");
                    }else{
                        j("#"+cvtype+"NaviPrev").attr("href","javascript: ");
                        j("#"+cvtype+"NaviFirst").attr("href","javascript: ");
                        j("#"+cvtype+"NaviLast").attr("href","javascript: ");
                        j("#"+cvtype+"NaviNext").attr("href","javascript: ");
                        if(count==0) j("#"+cvtype+"NaviPage").html("0/0");
                        else j("#"+cvtype+"NaviPage").html("1/1");
                    }
                }
                            
		// -->
		</script>
		

	</div>

</div>

<?php include "pages/footer.php"; ?>
