<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" 
	"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">

<html>
<head>
	<title><?= $HTML_TITLE ?></title>
	<meta http-equiv="Content-Type" content="text/html; charset=<?= $CHARSET ?>" />
	<link rel="stylesheet" type="text/css" href="/css/general.css" />

	<script type="text/javascript" src="/js/mootools.js"></script>
	<script type="text/javascript" src="/js/validation.js"></script>
	<script type="text/javascript" src="/js/draganddrop.js"></script>
	<script type="text/javascript" src="/js/ajaxmanager.js"></script>
	<script type="text/javascript" src="/js/general.js"></script>
	<script type="text/javascript" src="/js/sorttable.js"></script>
	<script type="text/javascript" src="/js/scroller.js"></script>
        <script type="text/javascript" src="/js/jquery-1.9.1.min.js"></script> 
        <script type="text/javascript">var j = jQuery.noConflict();</script>
	
	<link href="/css/bubbletip.css" rel="stylesheet" type="text/css" />	
	<link href="/css/sortableTable.css" rel="stylesheet" type="text/css" />
	<!--[if IE]>
		<link href="/css/bubbletip-IE.css" rel="stylesheet" type="text/css" />
	<![endif]-->
	<!--[if lt IE 8]>
		<script src="/js/IE8.js"></script>
	<![endif]-->
	
	<?php 
		$presentation = new Presentation();
		
		$sechead = ServerConfig::getTopBanner();
		$secfoot = ServerConfig::getBottomBanner();
		$secbanswitch = strlen($sechead) > 0 ? true : false ;
	?>
</head>

<body style='<?= $secbanswitch  ? "margin-top: 2.5em;margin-bottom: 2.5em;" : ""?>'>
<div id="tooltip"></div>
<?php if( strlen($sechead) > 0){?>
		<div id="banner-header">
			<p><?= htmlspecialchars($sechead);?></p>
		</div>
		<script>
			var banhead = document.getElementById("banner-header");
			banhead.style.left = 0;
			banhead.style.zIndex = 500;
		</script>
	<?}?>

<?php if( strlen($secfoot) > 0){?>
		<div id="banner-footer">
                    <p><?= htmlspecialchars($secfoot);?></p>
		</div>
		<script>
			var banfoot = document.getElementById("banner-footer");
			banfoot.style.left = 0;
			banfoot.style.zIndex = 500;
		</script>
	<?}?>
	
<div id="error_background"></div>
<div id="error_box"></div>


<div id="wrapper">
	<div id="header">
		<div id="loggedinuser">
			<label><?= tt("global_loggedinas", $activeUser->getName()) ?></label>
			<input type="button" value="<?= tt("global_logout") ?>" onclick="top.location='/logout.php'" />
		</div>
		<div id="loading"></div>
		<h1 id="logo"><?= tt("global_openit_logo") ?></h1>
		
		<ul id="level1">
		<? MenuDisplayer::topMenu(); ?>
		</ul>
		
	</div>
	
	
